<?xml version="1.0"?>
<!--
 Copyright (C) 2016-2017  Jost Brachert, jost.brachert@gmx.de

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the license, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program, see file COPYING; if not, write to the
 Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 Boston, MA  02110-1301, USA.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:d="http://docbook.org/ns/docbook"
                xmlns="http://www.w3.org/1999/xhtml"
                version="1.0">

<xsl:import href="/usr/share/xml/docbook/stylesheet/nwalsh5/current/xhtml/docbook.xsl"/>
<!--xsl:import href="http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl"/-->

<xsl:param name="l10n.gentext.default.language">en</xsl:param>

<xsl:param name="chapter.autolabel" select="0"/>

<xsl:param name="autotoc.label.in.hyperlink" select="0"/>

<xsl:param name="navig.graphics" select="0"/>

<xsl:param name="make.valid.html" select="1"/>


<xsl:param name="emphasis.propagates.style" select="1"/>
<xsl:param name="para.propagates.style" select="1"/>

<xsl:param name="html.stylesheet">style.css</xsl:param>
<xsl:param name="css.decoration">0</xsl:param>

<xsl:param name="part.autolabel">0</xsl:param>

<!-- Move TOC inside the part to remove the part entry from the TOC -->
<xsl:param name="generate.toc">
book      nop
part      toc
</xsl:param>


<xsl:template name="part.titlepage.recto"/>
<xsl:template name="part.titlepage"/>


<!-- xsltproc (libxslt 10128) does not understand that:
<xsl:template match="*[@xml:lang!=$l10n.gentext.default.language]"/>
so we do it that way: -->
<xsl:template match="*[@xml:lang]">
  <xsl:if test="@xml:lang=$l10n.gentext.default.language">
    <xsl:apply-imports/>
  </xsl:if>
</xsl:template>


<xsl:template match="processing-instruction('linebreak')">
  <br/>
</xsl:template>

</xsl:stylesheet>
